[IPython-dev] Dropping support for Python 2.6 and 3.2

Thomas Kluyver takowl@gmail....
Thu Aug 15 17:45:36 CDT 2013

Hi all,

I'll shortly be merging pull request #4002, which drops support for Python
2.6 and Python 3.2 from IPython master. In the unlikely event that you're
running IPython from master but still using one of those Python versions,
now is the time to switch to our 1.x branch.

The changes in that pull request will immediately not work on Python 2.6.
Before we release 2.0 around the end of this year, we'll move to a single
codebase which runs on Python 2.7 and 3.3 without running 2to3. At that
point, it will also stop working on Python 3.2.

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/ipython-dev/attachments/20130815/b2f79d81/attachment.html 

More information about the IPython-dev mailing list